OpenTTD Source: src/toolbar_gui.h File Reference

OpenTTD Source 14.0-beta1

Enumerations | Functions | Variables
toolbar_gui.h File Reference

Go to the source code of this file.

## Enumerations
enum | MainToolbarHotkeys { MTHK_PAUSE, MTHK_FASTFORWARD, MTHK_SETTINGS, MTHK_SAVEGAME, MTHK_LOADGAME, MTHK_SMALLMAP, MTHK_TOWNDIRECTORY, MTHK_SUBSIDIES, MTHK_STATIONS, MTHK_FINANCES, MTHK_COMPANIES, MTHK_STORY, MTHK_GOAL, MTHK_GRAPHS, MTHK_LEAGUE, MTHK_INDUSTRIES, MTHK_TRAIN_LIST, MTHK_ROADVEH_LIST, MTHK_SHIP_LIST, MTHK_AIRCRAFT_LIST, MTHK_ZOOM_IN, MTHK_ZOOM_OUT, MTHK_BUILD_RAIL, MTHK_BUILD_ROAD, MTHK_BUILD_TRAM, MTHK_BUILD_DOCKS, MTHK_BUILD_AIRPORT, MTHK_BUILD_TREES, MTHK_MUSIC, MTHK_LANDINFO, MTHK_SCRIPT_DEBUG, MTHK_SMALL_SCREENSHOT, MTHK_ZOOMEDIN_SCREENSHOT, MTHK_DEFAULTZOOM_SCREENSHOT, MTHK_GIANT_SCREENSHOT, MTHK_CHEATS, MTHK_TERRAFORM, MTHK_EXTRA_VIEWPORT, MTHK_CLIENT_LIST, MTHK_SIGN_LIST }

## Functions
void | AllocateToolbar ()
| Allocate the toolbar.
void | ToggleBoundingBoxes ()
| Toggle drawing of sprites' bounding boxes. More...
void | ToggleDirtyBlocks ()
| Toggle drawing of the dirty blocks. More...
void | ToggleWidgetOutlines ()
| Toggle drawing of widget outlihes. More...

## Variables
uint | _toolbar_width
| Width of the toolbar, shared by statusbar.

## Detailed Description

Stuff related to the (main) toolbar.

Definition in file toolbar_gui.h.

## Function Documentation

## ◆ ToggleBoundingBoxes()

void ToggleBoundingBoxes | ( |  | ) |

Toggle drawing of sprites' bounding boxes.

Note
  has only an effect when newgrf_developer_tools are active.

Function is found here and not in viewport.cpp in order to avoid importing the settings structs to there.

Definition at line 1063 of file toolbar_gui.cpp.

## ◆ ToggleDirtyBlocks()

void ToggleDirtyBlocks | ( |  | ) |

Toggle drawing of the dirty blocks.

Note
  has only an effect when newgrf_developer_tools are active.

Function is found here and not in viewport.cpp in order to avoid importing the settings structs to there.

Definition at line 1080 of file toolbar_gui.cpp.

## ◆ ToggleWidgetOutlines()

void ToggleWidgetOutlines | ( |  | ) |

Toggle drawing of widget outlihes.

Note
  has only an effect when newgrf_developer_tools are active.

Definition at line 1094 of file toolbar_gui.cpp.